// main: ./main.less, out: ../style.css, compress: false
@import "reset.less";
@import "variables.less";
@import "fonts.less";
//@import "./font-awesome-4.7.0/font-awesome.less";
@import "utility.less";
@import "transitions.less";
@import "modules.less";
@import "woocommerce.less";

/* ====================================================================================================================================

STYLE ////////////////////////////////////////////////////////////////////////////////////////////////////////////////

======================================================================================================================================*/

.site {
    .animation-fadein;
}

#main {
    width: calc(100% ~"-" 280px);
    padding-right: 0;
    padding-left: 0;
    margin: 0 auto;
}

.home .site {
    height: 100%;
}

.c-hero-slideshow {
    width: calc(100% ~"-" 140px);
    margin-left: 140px;
    height: calc(100% ~"-" 140px);
    margin-bottom: 40px;
    min-height: 600px;
    .c-hero-slideshow__image {
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        width: 100%;
        height: 100%;
    }
    .c-hero-slideshow__title {
        position: absolute;
        bottom: 30px;
        right: 30px;
        text-align: right;
        h1 {
            color: @vr__col-2;
            margin-bottom: 10px;
            .txt--font__bold;
        }
        a {
            color: @vr__col-2;
            &:hover {
                color: @vr__col-2;
            }
        }
    }
}

.c-slideshow-pager {
    position: absolute;
    bottom: 0;
    left: -30px;
    .c-slideshow-pager__item {
        position: relative;
        display: block;
        height: 10px;
        width: 20px;
        cursor: pointer;
        &:after {
            display: block;
            position: absolute;
            content: '';
            height: 1px;
            width: 10px;
            bottom: 5px;
            right: 0;
            background-color: fade(@vr__col-1, 50%);
            .trans;
        }
        &.isActive {
            &:after {
                width: 20px;
            }
        }
    }
}

@media @mq--tablet {
    #main {
        width: calc(100% ~"-" 100px);
    }
    .c-hero-slideshow {
        width: calc(100% ~"-" 50px);
        margin-left: 50px;
        min-height: initial;
    }
}

@media @mq--smartphone {
    #main {
        width: calc(100% ~"-" 80px);
    }
    .c-hero-slideshow {
        width: calc(100% ~"-" 40px);
        margin-left: 40px;
        min-height: initial;
    }
}

// --------------------
// ABOUT
// --------------------
.about--title {
    .txt--font__bold;
    .txt--s__lg;
    .o-underline;
    margin-bottom: 0px;
}

// --------------------
// CONTATTI
// --------------------
.form-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: @margin__rg;
    label {
        width: 49%;
    }
    input {
        width: 100%;
    }
    .wpcf7-not-valid-tip {
        margin-top: 8px!important;
    }
}

.form-submit {
    .o-btn;
    .o-btn--right;
    input, button {
        .u-reset-appearance;
    }
}
.wpcf7-textarea {
    resize: vertical;
}

.wpcf7-response-output {
    padding: @margin__rg/2!important;
    background-color: @vr__col-3;
    color: @vr__col-2;
    margin: @margin__rg 0!important;
    border: none!important;
}

.c-contact {
    a img {
        width: 26px;
        @media @mq--nophone {
            opacity: .6;
            .trans;
            &:hover {
                opacity: 1;
            }
        }
    }
}

// --------------------
// FOOTER
// --------------------
.site-footer {
    background-color: @vr__col-1;
    padding: 50px 70px;
    * {
        color: @vr__col-2;
        &:hover {
            color: @vr__col-2;
        }
    }
}

.footer-logo {
    margin-right: @margin__md;
    width: 45px;
}

.site-footer__inner {
    display: flex;
    justify-content: space-between;
}

.footer-col1,
.footer-col2 {
    display: flex;
    align-items: center;
    a {
        color: @vr__col-2;
    }
    p {
        margin: 0;
        font-size: 12px!important;
    }
    .luca-pagot {
        margin-left: 5px;
        width: 15px;
    }
}

@media @mq--smartphone {
    .site-footer {
        padding: 30px;
    }
    .site-footer__inner {
        flex-direction: column;
        justify-content: flex-start;
    }
    .footer-logo {
        margin-right: 10px;
    }
    .footer-col2 {
        margin-top: 30px;
    }
}

// --------------------
// VARIE
// --------------------
.entry-title {
    .txt--font__bold;
    .txt--s__xl;
    .o-underline;
}

.section-title {
    text-align: center;
    @media @mq--nophone {
        position: absolute;
        top: 173px;
        left: 20px;
        .u-transform(rotate(-90deg)translateX(-50%));
        .u-transform-origin(left bottom);
    }
    h2 {
        .txt--font__bold;
        .txt--s__xl;
        .o-underline;
        color: @vr__col-5;
        display: inline-block;
    }
}

.container-categories .section-title {
    @media @mq--nophone {
        top: 202px;
    }
}

.cookie-notice-container {
    a {
        color: @vr__col-2;
        text-decoration: underline;
    }
}

.error-404 {
    height: calc(100vh ~"-" 184px);
}

@import "queries.less";
@import "print.less";